"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AwsLambdaLogWrapper = void 0;
const json_truncate_1 = __importDefault(require("json-truncate"));
class AwsLambdaLogWrapper {
    constructor(log) {
        this.log = log;
    }
    contentToParams(content) {
        const { clientName, commandName } = content;
        content['aws-sdk'] = true;
        return [`AWS: Call ${clientName}:${commandName}`, json_truncate_1.default(content, { maxDepth: 3, replace: '[Truncated]' })];
    }
    debug(content) {
        this.log.debug(...this.contentToParams(content));
    }
    info(content) {
        this.log.info(...this.contentToParams(content));
    }
    warn(content) {
        this.log.warn(...this.contentToParams(content));
    }
    error(content) {
        this.log.error(...this.contentToParams(content));
    }
}
exports.AwsLambdaLogWrapper = AwsLambdaLogWrapper;
//# sourceMappingURL=index.js.map